## personal-menu 0.6-3

=== debian/changelog ===
personal-menu (0.6-3) unstable; urgency=low

  * Added selection between automatic layout and manual layout
  * Reorganized setup dialog
  * Fix problem with font button when font name was too long

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Mon, 21 Apr 2008 13:56:20 -0400

personal-menu (0.6-2) unstable; urgency=low

  * Added user font and font colour selection
  * Rearrange setup plugin to better fit the screen

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri, 18 Apr 2008 15:17:25 -0400

personal-menu (0.6-1) unstable; urgency=low

  * Various fixes (removed ellipsis, fixed width issues, etc)
  * Fix crahs when opening the menu too soon after it has been changed
  * Fix add/edit dialog not fitting on screen when the on-screen
    keyboard is up
  * Added file monitoring to update menu on setup change, not every
    button press
  * Made opening the menu much faster
  * Removed options for number of columns and number of rows - these are
    now calculated
  * Close menu when 'back' key is pressed
  * Menu pops down then up if the contents change while it is open
  * Add support for headings (entries without executables)
  * Fixed dependency issue with libglade

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri,  4 Apr 2008 05:51:49 -0400

personal-menu (0.5-1) unstable; urgency=low

  * Add option to select number of columns to display
  * Add option for 48 and 56 icon sizes
  * Fix bug where long labels would force the menu off the screen.
    Ellipsis added to the end of labels when necessary

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri,  4 Apr 2008 03:52:21 -0400

personal-menu (0.4-2) unstable; urgency=low

  * Changed execution command to take into account the service portion
    of a desktop file

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Sun, 16 Mar 2008 11:19:09 -0400

personal-menu (0.4-1) unstable; urgency=low

  * Settings now backup with the backup/restore application
  * 'Run as root' and 'Run in term' options now in use
  * Alphabetic sort of dekstop files and icon files to make selection
    easier

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Sun, 16 Mar 2008 04:58:35 -0400

personal-menu (0.3-1) unstable; urgency=low

  * Translates pre-installed application names in the 'Select from
    installed applications' dialog
  * Fixed a bug with calculating when to add more entries per column
    than the min entries
  * Added easier way to select icons for arbitrary commands
  * Fixed menu positioning when using the task navigator in a position
    other than the right of the screen

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Wed, 12 Mar 2008 03:29:52 -0400

personal-menu (0.2-2) unstable; urgency=low

  * Fixed memory leak?
  * Added application icon to launch notification
  * Added helper application (/usr/bin/personal-menu) to popup the menu
    remotely 

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Tue, 11 Mar 2008 13:12:26 -0400

personal-menu (0.2-1) unstable; urgency=low

  * Implemented two column menu (if there are enough items to warrant
    it)
  * Added user adjustable icon size in the setup dialog
  * Show the app name instead of the executable on launch notification
  * Fix the problem when adding applications when specifying the command

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Tue, 11 Mar 2008 02:52:44 -0400

personal-menu (0.1-2) unstable; urgency=low

  * Added application manager icon

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Mon, 10 Mar 2008 19:47:13 -0400

personal-menu (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Mon, 10 Mar 2008 18:31:45 -0400

## personal-menu 0.7-2

=== debian/changelog ===
personal-menu (0.7-2) unstable; urgency=low

  * Add bold indicators for headers in the arrange view
  * Make double clicking on desktop file or icon in selector select the
    icon

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Mon, 28 Apr 2008 09:50:54 -0400

personal-menu (0.7-1) unstable; urgency=low

  * Fixes to move up, move down, and delete (if no item is selected)
  * Changed dialog to use tabs to allow more room for options
  * Added option to enable/disable deletion confirmations
  * Made instructions come up after install (how to enable on first
    install, note to reboot on upgrade) Thanks OMWeather for showing me
    how!
  * Redesign desktop selection and icon selection dialogs
  * Removed icons from header in the settings dialog to make it more
    clear
  * Added options to set header font
  * Fix bug where using an icon size of 0 ignored custom font selection

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri, 25 Apr 2008 14:55:41 -0400

## personal-menu 0.7-3

=== Makefile ===
CC=gcc
CFLAGS=-Wall -shared `pkg-config gtk+-2.0 libosso hildon-1 libhildondesktop gconf-2.0 gnome-vfs-2.0 --libs --cflags` -std=c99 -lm
HELPER_CFLAGS=`pkg-config libosso --libs --cflags`

all:
	$(CC) $(CFLAGS) personal-menu.c -o libpersonalmenu.so
	$(CC) $(CFLAGS) personal-menu-setup.c -o libpersonalmenusetup.so
	$(CC) $(HELPER_CFLAGS) personal-menu-helper.c -o personal-menu

clean:
	rm -f libpersonalmenu.so
	rm -f libpersonalmenusetup.so
	rm -f personal-menu
install:
	./install.sh

=== debian/changelog ===
personal-menu (0.7-3) unstable; urgency=low

  * Fix a crash when clicking "Edit" with no selection
  * Fix a crash when using the 'OK' button in 'Select from installed
    applications'

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Mon, 28 Apr 2008 14:55:11 -0400

=== debian/control ===
Source: personal-menu
Priority: user/Tools
Maintainer: Andrew Olmsted <andrew.olmsted@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
Section: user/Extra

Package: personal-menu
Section: user/Extra
Architecture: any
Depends: ${shlibs:Depends}
Description: Task Navigator plugin for a secondary menu
 Allow users to create a second customizable menu
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAACXBIWXMAABFhAAAR
 YQGJZs6AAAAGb0lEQVRIiY1WXUxU6Rl+vu98M8MMsOgMw88G0BVYugjBVUJrf9Ls
 Rqw1prCppg2y1vRq296I9yrRJkaDV15409Qbm2h64YaLJi7aKrsmOiC4HZbuKrAg
 8jd/MDPMnJ/vrxfCMLKY+CYnOef9zvs8z/nen+8QvKUxxjz79u1r9/l8ZZRSpNPp
 yMjIyIAQwn5bjLeyxsbGo/F4XCWTSZ1MJnUsFlO7d+/+7VsL3dLJmEtrDSklX/e5
 XC6/x+MhjL0KoZQSxlggP84wDBchBEIIvgkSdLNj+/bttVevXg1dvHhxoKioKMgY
 czc2NnYcP378D4QQSCkhpQQhBCdPnjzR3NzcwRhz+/3+shs3bty9efNmKBgM1m7G
 JZtJrl279u/Dhw/XAEB/f/9zrbU6dOjQ+16vlwCA1hpaa6zfZ7NZPTg4+Ky0tNTY
 s2dPHSEEw8PDL7q6uj6OxWKTPyBijLkuX74c6u7u3uPxeGAYBgjZ0JEPrpSCUuoH
 pFprCCGglMLt27ef9vT0tHHO+Ws50lojk8kkLcuC1hqFhYWglIIQAq014ollzLyM
 IJUxoZSGr8CF6soA3ikuypEopeA4DjjniMfjKaXURv7yiNTw8PC/GhoaOnfs2BFQ
 SqGgoACcC3z5OIxnM1GAMlCDQWmC5KqNsedzWIrEUBEsASEEnHPYto179+5N9Pb2
 HrJtO53bsfwcmaaZXF1d1UIIaK3BucCD0LdwuT3weNzIZC1wISGEBBcSlBp4Gc3g
 9hdDOPLRh5BSwLIspFIpaVnWSj62kf/Q0NDQeerUqc/cbjcBgMdfTyCdFeBCIZVe
 RXolhlXTgS2ATNZGetVE1rIRXzGRSqdQESiG4ziorKwMPHz48GksFvtfjogx5tm/
 f39nY2PjLzo6Ov7U1NRUQwiB7XAMPpmC1kDWctDS8C6OHPwZSkvciEaWsLSchelo
 pNIZrGZNTM3G0FRXBsYM+Hw+4vV6awzDMKqqqnbOzc1NkZaWliPXr1/vp5QSQggo
 pWCM4flMFINPJsEYg8vtxWddH6Ok0A3TNNeSncDDkWcIjUewvJKElAK///WH+GBX
 JRhjuWrknOsTJ078hgohyjOZDLFtG0KIXEPOLsSxGF3BcspExpZQ+lVlSinBOUcg
 4EfXJwfw0711sLnCt5NzGJ9YAGMMSilwzmFZFrLZLNFalzOlFIQQMIyNdBFCEE2k
 8PkXj1FeUYFdtXVwuMqtrZcy5wLhqQTCz+exHE/A5XLlxEgpIYTAWmER5jhOVEqp
 hRBEa51r0veqgwAAy+bI2hJyrSXWG/X7KEf/V08xPL6QE7irOpgDz7u04zgRNj09
 PXD69Onu4uLiwIEDB7oPHjzYprXG7tpKBP3FWLUsCM5x78kLHP2oHrGsG6EJB2OT
 S5hbTIMLDtu2UBZ4Bx/sqoAQHJxz3LlzZ+ju3bv/SKVS8enp6QFDay2WlpbCs7Oz
 oWg0mmxvbz9qGAahBPBvK8F/Hn0DajDEMwTj8xIxqwApUyCeWMHS4gLmX84gmYjh
 1MlfYee7JRBCwDRN3dfX1zM6Ovr3SCTyX621eK2PEonE901NTb+rrq4OAEBtdRBZ
 W2D46+9gmVnYXCKVzmBxKYIXM9OYnvgOkcV5fNr5c3za8RM4jgOlFEKh0OStW7d6
 tNZiy8lQWFhYRCkllmXlcvXHT9rw/s4K/O2fDzDy6Et4CrwAAWzLQqDEi7/2HMPR
 wz+GkhLccSClhGEY8Pl8Rel02swVWK5zDcN16dKlgba2tl9SSmEYBgzDAGPs1SSn
 Br6ZWMCL+TgIIXivugwtP6qB27WxKZxzJJNJ2LaN+/fvPzh79mz7+uGZ/0WGUiqw
 DrxORildU6TRXF+J5vpKEEJACIEUDiy5cZQopeByuSCEAGOsdG3E8ddmndZaDA0N
 De7du7ezvLy8mFKK0dHRmampqWhVVZV/fXLkvb9+LOjBwcGJhYWFTDAYLJFSIhwO
 z585c6bTNM15vMm2bdvWfOXKlfHe3t5HXq+3mhDiq6+vP3bhwoVQOBzWY2Njemxs
 TIfDYX3+/PlQXV3dMUKIz+v11pw7d+5xX1/feElJSfMbCfKNUlpEKfXl+1pbW/+y
 mai1tfXPm+IKKaVFW2Fu+ReklFrd7Mtms3HDMPT6/imltGmaiU1xmTeJJ29a2GyU
 0qLa2tpOv99fBgCJRCIyOTn5+VaitrL/AzVIpiU16D2VAAAAAElFTkSuQmCC

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	mkdir -p debian/tmp/usr/lib/hildon-navigator
	mkdir -p debian/tmp/usr/share/applications/hildon-navigator
	mkdir -p debian/tmp/usr/lib/hildon-control-panel
	mkdir -p debian/tmp/usr/share/applications/hildon-control-panel
	mkdir -p debian/tmp/usr/share/icons/hicolor/scalable/hildon
	mkdir -p debian/tmp/usr/share/icons/hicolor/40x40/hildon
	mkdir -p debian/tmp/usr/share/icons/hicolor/26x26/hildon
	mkdir -p debian/tmp/usr/bin
	mkdir -p debian/tmp/etc/osso-backup/applications
	cp libpersonalmenu.so debian/tmp/usr/lib/hildon-navigator
	cp libpersonalmenusetup.so debian/tmp/usr/lib/hildon-control-panel
	cp personal-menu.desktop debian/tmp/usr/share/applications/hildon-navigator
	cp personal-menu-setup.desktop debian/tmp/usr/share/applications/hildon-control-panel
	cp data/icons/scalable/personal-menu.png debian/tmp/usr/share/icons/hicolor/scalable/hildon
	cp data/icons/40x40/personal-menu.png debian/tmp/usr/share/icons/hicolor/40x40/hildon
	cp data/icons/26x26/personal-menu.png debian/tmp/usr/share/icons/hicolor/26x26/hildon
	cp personal-menu debian/tmp/usr/bin
	cp personal-menu.conf debian/tmp/etc/osso-backup/applications/
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## personal-menu 0.7-4

=== debian/changelog ===
personal-menu (0.7-4) unstable; urgency=low

  * Fix to toggling error introduced in 0.7-3

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Tue, 29 Apr 2008 09:17:25 -0400

## personal-menu 0.7-6

=== debian/changelog ===
personal-menu (0.7-6) unstable; urgency=low

  * Removed bold text for headers in setup plugin to fix a number of
    bugs associated with it

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Thu,  8 May 2008 10:09:28 -0400

personal-menu (0.7-5) unstable; urgency=low

  * Fixed an error with marking up special characters

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Tue, 29 Apr 2008 15:18:24 -0400

## personal-menu 0.8-2

=== debian/changelog ===
personal-menu (0.8-2) unstable; urgency=low

  * New customized icon

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri, 20 Jun 2008 13:08:34 -0400

personal-menu (0.8-1) unstable; urgency=low

  * Fixed backup configuration so it actually backs up

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Wed, 14 May 2008 15:27:58 -0400

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-
+	
 	touch configure-stamp

## personal-menu 0.8-3

=== Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# The icons and backup/restore

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/personal-menu
pkglibdir = $(libdir)/personal-menu
pkgincludedir = $(includedir)/personal-menu
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/fiferboy/workspace/personal-menu-0.8/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/fiferboy/workspace/personal-menu-0.8/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/fiferboy/workspace/personal-menu-0.8/missing --run autoconf
AUTOHEADER = ${SHELL} /home/fiferboy/workspace/personal-menu-0.8/missing --run autoheader
AUTOMAKE = ${SHELL} /home/fiferboy/workspace/personal-menu-0.8/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"personal-menu\" -DVERSION=\"0.8\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
DEPDIR = .deps
DESKTOP_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-desktop -I/usr/include/libhildonwm -I/usr/include/libhildondesktop -I/usr/include/hildon-1 -I/usr/include/libxml2 -I/usr/include/gconf/2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
DESKTOP_LIBS = -lhildonwm -lhildondesktop -lhildon-1 -lX11 -lXtst -lgconf-2 -lgtk-x11-2.0 -lxml2 -ldbus-glib-1 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -ldbus-1 -lgobject-2.0 -lglib-2.0  
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /scratchbox/tools/bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GNOMEVFS_CFLAGS = -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GNOMEVFS_LIBS = -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
GREP = /scratchbox/tools/bin/grep
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HILDON_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
HILDON_LIBS = -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/fiferboy/workspace/personal-menu-0.8/missing --run makeinfo
OBJEXT = o
OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
PACKAGE = personal-menu
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /scratchbox/tools/bin/pkg-config
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.8
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = 
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = arm-unknown-linux-gnu
host_alias = 
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/fiferboy/workspace/personal-menu-0.8/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

icondir = $(datadir)/icons/hicolor


# The program
bin_PROGRAMS = personal-menu

personal_menu_SOURCES = personal-menu-helper.c
personal_menu_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS)
personal_menu_LDADD = $(GTK_LIBS) $(OSSO_LIBS)

desktopdir = $(datadir)/applications/hildon


# The control panel applet
libcpdir = $(libdir)/hildon-control-panel
libcp_LTLIBRARIES = libpersonalmenusetup.la

libpersonalmenusetup_la_SOURCES = personal-menu-setup.c
libpersonalmenusetup_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(HILDON_CFLAGS)
libpersonalmenusetup_la_LDFLAGS = -module -avoid-version

controlpaneldir = $(datadir)/applications/hildon-control-panel
controlpanel_DATA = personal-menu-setup.desktop


#The Tasknavigtor plugin
libtndir = $(libdir)/hildon-navigator
dattndir = $(datadir)/applications/hildon-navigator
libtn_LTLIBRARIES = libpersonalmenu.la
dattn_DATA = personal-menu.desktop

libpersonalmenu_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(DESKTOP_CFLAGS) $(HILDON_CFLAGS) $(GNOMEVFS_CFLAGS)
libpersonalmenu_la_LDFLAGS = -module -avoid-version
libpersonalmenu_la_SOURCES = personal-menu.c


# The locale

# The gstreamer plugin

# The backup/restore configuration
EXTRA_DIST = \
        autogen.sh				\
        make-package				\
        debian/changelog			\
        debian/compat				\
        debian/copyright			\
        debian/control				\
        debian/rules				\
		debian/postinst				\
        personal-menu.desktop		\
        personal-menu-setup.desktop \
        data/icons/26x26/personal-menu.png \
        data/icons/40x40/personal-menu.png \
        data/icons/scalable/personal-menu.png \
        personal-menu.conf

subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(libcp_LTLIBRARIES) $(libtn_LTLIBRARIES)

libpersonalmenu_la_LIBADD =
am_libpersonalmenu_la_OBJECTS = libpersonalmenu_la-personal-menu.lo
libpersonalmenu_la_OBJECTS = $(am_libpersonalmenu_la_OBJECTS)
libpersonalmenusetup_la_LIBADD =
am_libpersonalmenusetup_la_OBJECTS = \
	libpersonalmenusetup_la-personal-menu-setup.lo
libpersonalmenusetup_la_OBJECTS = $(am_libpersonalmenusetup_la_OBJECTS)
bin_PROGRAMS = personal-menu$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_personal_menu_OBJECTS = personal_menu-personal-menu-helper.$(OBJEXT)
personal_menu_OBJECTS = $(am_personal_menu_OBJECTS)
personal_menu_DEPENDENCIES =
personal_menu_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/libpersonalmenu_la-personal-menu.Plo \
	./$(DEPDIR)/libpersonalmenusetup_la-personal-menu-setup.Plo \
	./$(DEPDIR)/personal_menu-personal-menu-helper.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libpersonalmenu_la_SOURCES) \
	$(libpersonalmenusetup_la_SOURCES) $(personal_menu_SOURCES)
DATA = $(controlpanel_DATA) $(dattn_DATA)

DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/configure Makefile.am \
	TODO aclocal.m4 compile config.guess config.sub configure \
	configure.ac depcomp install-sh ltmain.sh missing mkinstalldirs
SOURCES = $(libpersonalmenu_la_SOURCES) $(libpersonalmenusetup_la_SOURCES) $(personal_menu_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.ac 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
libcpLTLIBRARIES_INSTALL = $(INSTALL)
install-libcpLTLIBRARIES: $(libcp_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libcpdir)
	@list='$(libcp_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libcpLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libcpdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libcpLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libcpdir)/$$f; \
	  else :; fi; \
	done

uninstall-libcpLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(libcp_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libcpdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libcpdir)/$$p; \
	done

clean-libcpLTLIBRARIES:
	-test -z "$(libcp_LTLIBRARIES)" || rm -f $(libcp_LTLIBRARIES)
	@list='$(libcp_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libtnLTLIBRARIES_INSTALL = $(INSTALL)
install-libtnLTLIBRARIES: $(libtn_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libtndir)
	@list='$(libtn_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libtnLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libtndir)/$$f"; \

=== debian/changelog ===
personal-menu (0.8-3) unstable; urgency=low

  * Added autobuild tools to the build process

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Thu,  3 Jul 2008 13:02:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: personal-menu
-Priority: user/Tools
+Priority: optional
 Maintainer: Andrew Olmsted <andrew.olmsted@gmail.com>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), libgtk2.0-dev, libosso-dev (>= 1), hildon-desktop-dev, hildon-control-panel-dev, libosso-gnomevfs2-dev
 Standards-Version: 3.7.2
 Section: user/Extra
 
 Package: personal-menu
 Section: user/Extra
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, hildon-desktop
 Description: Task Navigator plugin for a secondary menu
  Allow users to create a second customizable menu
 XB-Maemo-Icon-26:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --disable-static
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package
	$(MAKE) install DESTDIR=$(CURDIR)/debian/personal-menu
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## personal-menu 0.8-5

=== Makefile ===
--- 
+++ 
@@ -166,7 +166,7 @@
 libcp_LTLIBRARIES = libpersonalmenusetup.la
 
 libpersonalmenusetup_la_SOURCES = personal-menu-setup.c
-libpersonalmenusetup_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(HILDON_CFLAGS)
+libpersonalmenusetup_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(HILDON_CFLAGS) $(GNOMEVFS_CFLAGS)
 libpersonalmenusetup_la_LDFLAGS = -module -avoid-version
 
 controlpaneldir = $(datadir)/applications/hildon-control-panel

=== debian/changelog ===
personal-menu (0.8-5) unstable; urgency=low

  * Changed back to original icon

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri, 18 Jul 2008 09:12:05 -0400

personal-menu (0.8-4) unstable; urgency=low

  * Added a way to select custom (not part of the gtk_icon_theme) icons
    to entries

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Tue,  8 Jul 2008 11:08:41 -0400

## personal-menu 0.9-3

=== debian/changelog ===
personal-menu (0.9-3) unstable; urgency=low

  * Completed setting redesign
  * Menu automatically resizes when the screen is rotated (if auto-
    layout is enabled)
  * Fixed aspect ratio problem for non-square icons

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Fri,  3 Oct 2008 14:43:42 -0400

personal-menu (0.9-2) unstable; urgency=low

  * Added rootsh compatibility to 'Run as root'
  * Add icons to the insert popup

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Thu, 31 Jul 2008 10:15:09 -0400

personal-menu (0.9-1) unstable; urgency=low

  * Redesigned settings dialog

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Tue, 29 Jul 2008 11:05:48 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Maintainer: Andrew Olmsted <andrew.olmsted@gmail.com>
 Build-Depends: debhelper (>= 5), libgtk2.0-dev, libosso-dev (>= 1), hildon-desktop-dev, hildon-control-panel-dev, libosso-gnomevfs2-dev
 Standards-Version: 3.7.2
-Section: user/Extra
+Section: user/accessories
 
 Package: personal-menu
-Section: user/Extra
+Section: user/accessories
 Architecture: any
 Depends: ${shlibs:Depends}, hildon-desktop
 Description: Task Navigator plugin for a secondary menu

## personal-menu 0.9-4

=== debian/changelog ===
personal-menu (0.9-4) unstable; urgency=low

  * More packaging changes

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Mon, 17 Nov 2008 15:42:02 -0500

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,14 @@
 Section: user/accessories
 
 Package: personal-menu
-Section: user/accessories
+Section: user/desktop
 Architecture: any
 Depends: ${shlibs:Depends}, hildon-desktop
 Description: Task Navigator plugin for a secondary menu
  Allow users to create a second customizable menu
+XB-Maemo-Display-Name: Personal Menu
+XB-Maemo-Upgrade-Desription: List of most recent changes:
+ 0.9-4 - Added maemo specific packaging fields and corrected the section
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAACXBIWXMAABFhAAAR
  YQGJZs6AAAAGb0lEQVRIiY1WXUxU6Rl+vu98M8MMsOgMw88G0BVYugjBVUJrf9Ls

## personal-menu 0.9-6

=== Makefile ===
--- 
+++ 
@@ -38,14 +38,14 @@
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
 host_triplet = arm-unknown-linux-gnu
-ACLOCAL = ${SHELL} /home/fiferboy/workspace/personal-menu-0.8/missing --run aclocal-1.7
+ACLOCAL = ${SHELL} /home/fiferboy/workspace/personal-menu-0.9/missing --run aclocal-1.7
 AMDEP_FALSE = #
 AMDEP_TRUE = 
-AMTAR = ${SHELL} /home/fiferboy/workspace/personal-menu-0.8/missing --run tar
+AMTAR = ${SHELL} /home/fiferboy/workspace/personal-menu-0.9/missing --run tar
 AR = ar
-AUTOCONF = ${SHELL} /home/fiferboy/workspace/personal-menu-0.8/missing --run autoconf
-AUTOHEADER = ${SHELL} /home/fiferboy/workspace/personal-menu-0.8/missing --run autoheader
-AUTOMAKE = ${SHELL} /home/fiferboy/workspace/personal-menu-0.8/missing --run automake-1.7
+AUTOCONF = ${SHELL} /home/fiferboy/workspace/personal-menu-0.9/missing --run autoconf
+AUTOHEADER = ${SHELL} /home/fiferboy/workspace/personal-menu-0.9/missing --run autoheader
+AUTOMAKE = ${SHELL} /home/fiferboy/workspace/personal-menu-0.9/missing --run automake-1.7
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
@@ -57,7 +57,7 @@
 CXXDEPMODE = depmode=gcc3
 CXXFLAGS = -g -O2
 CYGPATH_W = echo
-DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"personal-menu\" -DVERSION=\"0.8\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1
+DEFS = -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"personal-menu\" -DVERSION=\"0.8\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 
 DEPDIR = .deps
 DESKTOP_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-desktop -I/usr/include/libhildonwm -I/usr/include/libhildondesktop -I/usr/include/hildon-1 -I/usr/include/libxml2 -I/usr/include/gconf/2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include  
 DESKTOP_LIBS = -lhildonwm -lhildondesktop -lhildon-1 -lX11 -lXtst -lgconf-2 -lgtk-x11-2.0 -lxml2 -ldbus-glib-1 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -ldbus-1 -lgobject-2.0 -lglib-2.0  
@@ -65,13 +65,12 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /scratchbox/tools/bin/grep -E
+EGREP = grep -E
 EXEEXT = 
 F77 = 
 FFLAGS = 
 GNOMEVFS_CFLAGS = -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
 GNOMEVFS_LIBS = -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
-GREP = /scratchbox/tools/bin/grep
 GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
 GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
 HILDON_CFLAGS = -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
@@ -86,7 +85,7 @@
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
 LN_S = ln -s
 LTLIBOBJS = 
-MAKEINFO = ${SHELL} /home/fiferboy/workspace/personal-menu-0.8/missing --run makeinfo
+MAKEINFO = ${SHELL} /home/fiferboy/workspace/personal-menu-0.9/missing --run makeinfo
 OBJEXT = o
 OSSO_CFLAGS = -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include  
 OSSO_LIBS = -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0  
@@ -103,9 +102,13 @@
 SHELL = /bin/sh
 STRIP = strip
 VERSION = 0.8
+ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
 ac_ct_F77 = 
+ac_ct_RANLIB = ranlib
+ac_ct_STRIP = strip
+ac_pt_PKG_CONFIG = /scratchbox/tools/bin/pkg-config
 am__fastdepCC_FALSE = #
 am__fastdepCC_TRUE = 
 am__fastdepCXX_FALSE = #
@@ -119,30 +122,23 @@
 build_cpu = arm
 build_os = linux-gnu
 build_vendor = unknown
-datadir = ${datarootdir}
-datarootdir = ${prefix}/share
-docdir = ${datarootdir}/doc/${PACKAGE}
-dvidir = ${docdir}
+datadir = ${prefix}/share
 exec_prefix = ${prefix}
 host = arm-unknown-linux-gnu
 host_alias = 
 host_cpu = arm
 host_os = linux-gnu
 host_vendor = unknown
-htmldir = ${docdir}
 includedir = ${prefix}/include
-infodir = ${datarootdir}/info
-install_sh = /home/fiferboy/workspace/personal-menu-0.8/install-sh
+infodir = ${prefix}/info
+install_sh = /home/fiferboy/workspace/personal-menu-0.9/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
-localedir = ${datarootdir}/locale
 localstatedir = ${prefix}/var
-mandir = ${datarootdir}/man
+mandir = ${prefix}/man
 oldincludedir = /usr/include
-pdfdir = ${docdir}
 prefix = /usr
 program_transform_name = s,x,x,
-psdir = ${docdir}
 sbindir = ${exec_prefix}/sbin
 sharedstatedir = ${prefix}/com
 sysconfdir = ${prefix}/etc
@@ -155,10 +151,14 @@
 bin_PROGRAMS = personal-menu
 
 personal_menu_SOURCES = personal-menu-helper.c
-personal_menu_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS)
-personal_menu_LDADD = $(GTK_LIBS) $(OSSO_LIBS)
+personal_menu_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(HILDON_CFLAGS) $(GNOMEVFS_CFLAGS)
+personal_menu_LDADD = $(GTK_LIBS) $(OSSO_LIBS) $(HILDON_LIBS)
 
 desktopdir = $(datadir)/applications/hildon
+desktop_DATA = personal-menu-helper.desktop
+
+servicedir = $(datadir)/dbus-1/services
+service_DATA = com.nokia.personalmenuhelper.service
 
 
 # The control panel applet
@@ -166,7 +166,7 @@
 libcp_LTLIBRARIES = libpersonalmenusetup.la
 
 libpersonalmenusetup_la_SOURCES = personal-menu-setup.c
-libpersonalmenusetup_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS) $(HILDON_CFLAGS) $(GNOMEVFS_CFLAGS)
+libpersonalmenusetup_la_CFLAGS = $(GTK_CFLAGS) $(OSSO_CFLAGS)
 libpersonalmenusetup_la_LDFLAGS = -module -avoid-version
 
 controlpaneldir = $(datadir)/applications/hildon-control-panel
@@ -241,7 +241,8 @@
 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
 DIST_SOURCES = $(libpersonalmenu_la_SOURCES) \
 	$(libpersonalmenusetup_la_SOURCES) $(personal_menu_SOURCES)
-DATA = $(controlpanel_DATA) $(dattn_DATA)
+DATA = $(controlpanel_DATA) $(dattn_DATA) $(desktop_DATA) \
+	$(service_DATA)
 
 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/configure Makefile.am \
 	TODO aclocal.m4 compile config.guess config.sub configure \
@@ -303,4 +304,3 @@
 	@list='$(libtn_LTLIBRARIES)'; for p in $$list; do \
 	  if test -f $$p; then \
 	    f="`echo $$p | sed -e 's|^.*/||'`"; \
-	    echo " $(LIBTOOL) --mode=install $(libtnLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libtndir)/$$f"; \

=== debian/changelog ===
personal-menu (0.9-6) unstable; urgency=low

  * Fix icons scaling to look better

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Tue,  9 Dec 2008 21:16:01 -0500

personal-menu (0.9-5) unstable; urgency=low

  * Added background color support

 -- Andrew Olmsted <andrew.olmsted@gmail.com>  Tue, 18 Nov 2008 22:20:26 -0500

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,7 @@
 Description: Task Navigator plugin for a secondary menu
  Allow users to create a second customizable menu
 XB-Maemo-Display-Name: Personal Menu
-XB-Maemo-Upgrade-Desription: List of most recent changes:
- 0.9-4 - Added maemo specific packaging fields and corrected the section
+XB-Maemo-Upgrade-Desription: Fix icon scaling to look much better
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAACXBIWXMAABFhAAAR
  YQGJZs6AAAAGb0lEQVRIiY1WXUxU6Rl+vu98M8MMsOgMw88G0BVYugjBVUJrf9Ls
